Subject: Re: [bison-3.8] bug or side effect to flex & automake

From: Akim Demaille <[email-masked]>
Date: Wed, 8 Sep 2021 21:50:55 +0200

Hi Paul,

Thanks for the quick answer.

> Le 8 sept. 2021 à 08:33, Paul Eggert <[email-masked]> a écrit :
> 
> On 9/7/21 10:31 PM, Akim Demaille wrote:
>> However, I don't see a published version of the POSIX Yacc "specs" that includes these changes.
> 
> The next POSIX revision is targeted for 2022, according to <http://www.opengroup.org/austin/papers/posix_faq.html>.

Thanks.  Last time we discussed about this, the conclusion was that Bison should implement this now.  Should we rather backtrack and postpone until the revision is published?  I have published 3.8, but not announced it yet, so it probably doesn't spread too fast.  I could revert that, and publish 3.8.1 very soon.

> I suppose there is still opportunity to fix POSIX before the next revision comes out, but someone would have to create a bug report and submit it to the Austin Group.

I don't see why this time they would agree not to change anything.  I believe we already clearly stated that this is a breaking change.